Bug 1285480 - High CPU for 5 seconds when creating LO Writer document
High CPU for 5 seconds when creating LO Writer document
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 12:10 EST by Steven Bakker
Modified: 2016-12-20 11:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:17:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of top command while reproducing the problem. (7.38 KB, text/plain)
2015-11-25 12:10 EST, Steven Bakker
no flags Details
(Annotated) output of top command. (7.46 KB, text/plain)
2015-11-25 12:12 EST, Steven Bakker
no flags Details

  None (edit)
Description Steven Bakker 2015-11-25 12:10:33 EST
Created attachment 1098922 [details]
Output of top command while reproducing the problem.

Description of problem:

When starting libreoffice Writer (either with an existing or with a new, empty document), the desktop freezes for about 5 seconds and gnome-shell uses 100% CPU.

Version-Release number of selected component (if applicable):

gnome-shell-3.18.3-1.fc23.x86_64
libreoffice-writer-5.0.3.2-4.fc23.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Run "top -d1 -o '+%CPU' > top.log" in a terminal window.
2. In another terminal window, run "soffice --writer"


Actual results:

The outline of the Writer window appears (i.e. titlebar and window borders, usually with a black background), the desktop freezes (i.e. "top" in the other terminal window doesn't update, desktop buttons and menus don't respond to mouse clicks).

After about 5 seconds, the Writer window is fully drawn and the desktop is responsive again. The "top" output shows that it is gnome-shell that is eating all the resources.

Expected results:

An empty Writer document in about one second and no desktop freeze.

Additional info:

I'll attach my "top.log" file for reference. I trimmed it to show the three biggest CPU hoggers for each iteration. Between T=1 and T=2, I start the "soffice --writer" command. From then until T=8, the gnome-shell uses 80-100% CPU continuously, freezing the desktop.

I have tried to run Writer without font preview, resetting all my preferences; none of that makes any difference.

Is there something that the Writer component asks from the gnome-shell that causes it to flip its wig? Note that it only happens on Writer documents, not on Calc or Impress documents.

I'm filing this against gnome-shell, because that is where the problem exhibits itself, but it *could* be LO...
Comment 1 Steven Bakker 2015-11-25 12:12 EST
Created attachment 1098923 [details]
(Annotated) output of top command.

Previous version of the file was missing the annotations.
Comment 2 Steven Bakker 2015-11-25 12:27:24 EST
I noticed bug #1277445 deals with the same problems, but is filed against libreoffice instead. Since it is mentioned there that the problem only occurs with LO under the GNOME environment, I'm still putting my money on gnome-shell being the culprit.
Comment 3 Fedora End Of Life 2016-11-24 08:44:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:17:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.